<?php

namespace App\Controller;


use App\Entity\Category;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

class CategoryController {
  const DEVICES = 'Computer Peripherals';

  /**
   * @Route(
   *   name = "category_add",
   *   path = "/category/add"
   * )
   *
   * @param \Doctrine\ORM\EntityManagerInterface $em
   *
   * @return \Symfony\Component\HttpFoundation\Response
   */
  public function add(EntityManagerInterface $em) {
    $cat = new Category();
    $cat->setName(self::DEVICES);
    $em->persist($cat);
    $em->flush();

    return new Response('Saved new category with id ' . $cat->getId(),
      Response::HTTP_CREATED);
  }
}
