<?php

namespace App\DataFixtures;

use App\Entity\Category;
use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Common\Persistence\ObjectManager;

/**
 * Class ZCategoryFixture is an out-of-alphabetical-order CategoryFixture
 *
 * @see \App\DataFixtures\ProductFixture::getDependencies()
 *
 * @package App\DataFixtures
 */
class ZCategoryFixture extends Fixture {
  const NCAT = 3;

  /**
   * Load data fixtures with the passed EntityManager.
   *
   * @param \Doctrine\Common\Persistence\ObjectManager $manager
   *
   * @throws \Doctrine\Common\DataFixtures\BadMethodCallException
   */
  public function load(ObjectManager $manager) {
    for ($i = 0; $i < self::NCAT; $i++) {
      $cat = new Category();
      $id = "category-{$i}";
      $cat->setName($id);
      $manager->persist($cat);
      $this->addReference($id, $cat);
    }

    $manager->flush();
  }

}
