<?php declare(strict_types = 1);

namespace DoctrineMigrations;

use App\Migrations\MigrationBase;
use Doctrine\DBAL\Schema\Schema;

class Version20180102182140 extends MigrationBase
{
  public function up(Schema $schema)
  {
    parent::up($schema);

    $sql =<<<SQL
CREATE TABLE groups (
  id INT AUTO_INCREMENT NOT NULL, 
  name VARCHAR(100) NOT NULL, 
  price NUMERIC(10, 2) DEFAULT NULL, 
  PRIMARY KEY(id)
) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
SQL;

    $this->addSql($sql);
  }

  public function down(Schema $schema)
  {
    parent::down($schema);

    $sql = <<<SQL
DROP TABLE groups;
SQL;

    $this->addSql($sql);
  }
}
