Entry point for the bundle documentation

* Extensive documentation should also be provided in the `Resources/doc/` directory. 
* The index file (for example `Resources/doc/index.rst` or `Resources/doc/index.md`) 
  is the only mandatory file and must be the entry point for the documentation.
  The reStructuredText (rST) is the format used to render the documentation on symfony.com.

Below is a typical Markdown layout for this file.

Installation
============

Applications that use Symfony Flex
----------------------------------

Open a command console, enter your project directory and execute:

```console
$ composer require <package-name>
```

Applications that don't use Symfony Flex
----------------------------------------

### Step 1: Download the Bundle

Open a command console, enter your project directory and execute the
following command to download the latest stable version of this bundle:

```console
$ composer require <package-name> "~1"
```

This command requires you to have Composer installed globally, as explained
in the [installation chapter](https://getcomposer.org/doc/00-intro.md)
of the Composer documentation.

### Step 2: Enable the Bundle

Then, enable the bundle by adding it to the list of registered bundles
in the `app/AppKernel.php` file of your project:

```php
<?php
// app/AppKernel.php

// ...
class AppKernel extends Kernel
{
    public function registerBundles()
    {
        $bundles = array(
            // ...
            new <vendor>\<bundle-name>\<bundle-long-name>(),
        );

        // ...
    }

    // ...
}
```

Optionally, you can add more installation steps (Step 3, Step 4, etc.) to 
explain other required installation tasks, such as registering routes or dumping 
assets.
